{% extends "base/baseadmin.html" %}

{% block title %}
  Detalles de la ruta.
{% endblock title %}


{% block content %}
<div class="container text-center">
  <h1>Lista de paradas:</h1>
  <style>
    /* Aplicar color blanco al texto dentro de la tabla */
    .table.text-white td,
    .table.text-white th {
      color: white;
    }
  </style>

  <table class="table table-striped table-hover text-white mt-3">
    <thead>
            <th>Identificador</th>
            <th>Número de parada</th>
            <th>Nombre de la ruta</th>
            <th>Conductor</th>
            <th>Número de transporte</th>
            <th>Parada</th>
            <th>Hora</th>
            <th>Fecha de incio</th>
            <th>Fecha final</th>
            <th>Acciones</th>
            <th></th>

        </thead>
        <tbody>
                <tr>
                  {% for Rutas in ruta%}
                    <td>{{ Rutas.numeroconsecutivo }}</td>
                    <td>{{ Rutas.noruta }}</td>
                    <td>{{ Rutas.nombre }}</td>
                    <td>{{ Rutas.conductor }}</td>
                    <td>{{ Rutas.transporte }}</td>
                    <td>{{ Rutas.parada}}</td>
                    <td>{{ Rutas.hora}}</td>
                    <td>{{ Rutas.fechainicio}}</td>
                    <td>{{ Rutas.fechafinal}}</td>
                    <td><a href="{% url 'core:route_stop' Rutas.numeroconsecutivo %}" class="btn btn-outline-light"> Actualizar parada </a></td>
                    <td><a href="{% url 'core:route_stopd' Rutas.numeroconsecutivo %}" class="btn btn-outline-light"> Eliminar parada </a></td>
                </tr>
        </tbody>
        {% endfor %}
    </table>
    <div class="text-center">
      <a href="{% url 'core:list_routes' %}" class="btn btn-outline-dark">Volver</a>
    </div>
  </div>
{% endblock content %}